schedule_delayed_work_on
Prev | Workqueues and Kevents | Next

## Name

schedule_delayed_work_on — queue work in global workqueue on CPU after delay

## Synopsis

`int schedule_delayed_work_on (` | int | cpu,
| struct delayed_work * | dwork,
| unsigned long | delay`)`;

## Arguments

`cpu`

  cpu to use

`dwork`

  job to be done

`delay`

  number of jiffies to wait

## Description

After waiting for a given time this puts a job in the kernel-global workqueue on the specified CPU.

Prev | Up | Next
schedule_delayed_work | Home | execute_in_process_context